#32/64
%define	name		cdcat
%define bname		CdCat
%define	version		2.3.1
%define	release		%mkrel 2
%define	Summary		Graphical multiplatform catalog program
%define	title		CdCatalog
%define	section		Archiving/Other

Summary: 		%Summary
Summary(de):		Grafisches Katalogprogramm für viele Plattformen
Name: 			%name
Version: 		%version
Release:		%release
License:		GPL
Group: 			%section
Source:			%{name}-%{version}.tar.xz
BuildRequires:		%{_lib}expat1-devel
BuildRequires:		%{_lib}pcre0-devel >= 3.9
BuildRequires:		%{_lib}qt4-devel
BuildRequires:          %{_lib}tar-devel
BuildRequires:          libmediainfo-devel
BuildRequires:	        bzip2
BuildRequires:          %{_lib}bzip2-devel
BuildRequires:		zlib1-devel >= 1.1.4
Requires(post): 	desktop-file-utils
Requires(postun): 	desktop-file-utils
URL: 			http://cdcat.sourceforge.net/
Obsoletes: 		%{name} < %version
Requires:	        %{_lib}tar0
Requires:	        libmediainfo0
Requires:	        bzip2

BuildRoot: 		%_tmppath/%name-%version-buildroot

%description
The cdcat is graphical (QT based) multiplatform (Linux/Windows/MacOS) catalog 
program which scans the directories/drives you want and memorizes the filesystem 
(including the tags of mp3's) and stores it in a small file.

The database is stored in a gzipped XML format, so you can hack it, or use it if necessary
Cdcat can store the content of some specified files up to a size limit if you want. (for example: *.nfo)

Features:

 - Searching with regex or wildcards in file names/comments/tags/etc.
 - Read mp3 tags (if you enable it)
 - Autoload database on startup
 - Can mount/umount/eject the cd-drive on Linux
 - Read file content from the specified files (e.g: *.nfo)
 - Platform indepentent Gzipped XML format
 - Import/Export functions for CSV/XML-gtktalog/HTML
 - Possibility to add comment for files or directories

%prep
%__rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-%{version}


%build
pushd src 
qmake %{name}.pro
%make
popd

%install
pushd src
%__mkdir_p $RPM_BUILD_ROOT%{_bindir}
%__install -m 755 %{name} $RPM_BUILD_ROOT/%_bindir/

# Documents
%__mkdir_p $RPM_BUILD_ROOT/%_datadir/%{name}/
%__install -m 644 ../Authors $RPM_BUILD_ROOT/%_datadir/%{name}/
%__install -m 644 ../ChangeLog $RPM_BUILD_ROOT/%_datadir/%{name}/
%__install -m 644 ../COPYING $RPM_BUILD_ROOT/%_datadir/%{name}/
%__install -m 644 ../README $RPM_BUILD_ROOT/%_datadir/%{name}/
%__install -m 644 ../TRANSLATORS_README $RPM_BUILD_ROOT/%_datadir/%{name}/

# icon
%__mkdir_p %{buildroot}%{_iconsdir}
%__install -m 644 ../%{name}.png %{buildroot}%{_iconsdir}/%name.png

popd

%__mkdir_p $RPM_BUILD_ROOT%{_datadir}/applications
cat >$RPM_BUILD_ROOT%{_datadir}/applications/%name.desktop << EOF
[Desktop Entry]
Version=1.0
Encoding=UTF-8
Name=%title
Comment=%Summary
Exec=%name %%f
Icon=%name
GenericName=%title
Terminal=false
Type=Application
Categories=X-MandrivaLinux-System-Archiving-Other;
MimeType=application/x-k3b;
StartupNotify=true
EOF

# Associate File with MimeType (the KDE4/Gnome way)
mkdir -p $RPM_BUILD_ROOT%{_datadir}/mime/packages
cat > $RPM_BUILD_ROOT%{_datadir}/mime/packages/%{name}.xml << EOF
<?xml version="1.0"?>
<mime-info xmlns="http://www.freedesktop.org/standards/shared-mime-info">
  <mime-type type="application/x-k3b">
    <comment>%{bname} Database</comment>
    <glob pattern="*.hcf"/>
    <glob pattern="*.HCF"/>
  </mime-type>
</mime-info>
EOF

%clean
test "x$RPM_BUILD_ROOT" != "x/" && rm -rf $RPM_BUILD_ROOT

%post
%{update_mime_database} &> /dev/null ||:

%postun
%{clean_mime_database} &> /dev/null ||:

%files
%defattr(-, root, root)
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_iconsdir}/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml

%changelog
* Wed Dec 30 2015 bb <bb> 2.3.1-2pclos2015
- fix buildrequires and require as libmediainfo is not in 
- proper library format
- remove dead update-menus from post script
- fix requires on library tar0

* Tue Dec 29 2015 Agent Smith <ruidobranco@yahoo.com.br> 2.3.1-1pclos2016
- Updated to latest source, adapted to work in both 32/64 archs, added depency libtar-devel, libmediainfo-devel.
- removed patch for 7zip, removed dependency on libcrypto

* Mon Aug 12 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 2.2-1pclos2013
- 2.2
- added disable_lib7zip.patch
- removed patch1 fixed in source
- removed icon source, tarball has its own icons

* Mon May 01 2011 Texstar <texstar at gmail.com> 1.2-2pclos2011
- fix mimetype per pinoco

* Thu Mar 31 2011 Ertain <sirius-c at iname.com> 1.2-1pclos2010
- 1.2
- Took out the qt3 parts.

* Sat Dec 22 2007 Stumpy842 <stump842@gmail.com> 1.01b-2pclos2007
- updated patch: fixes mp3tag, buffer overrun, g++-4.1 compat.
- added mimetype info

* Sun Nov 04 2007 Stumpy842 <stump842@gmail.com> 1.01b-1pclos2007
- build for pclos2007
